Subject: RE: IPP> Re: Root OID for IPP Printer Schema

From: "McDonald, Ira" <[email-masked]>
Date: Wed, 26 Apr 2000 08:57:55 -0700

Hi,

Lots of confusion here...

James - we already *have* coordinated with Ken Jones (Sun) about
his original LDAP printer schema - Ken is a co-author of the
SUBSEQUENT IPP WG blessed LDAP printer schema - one of the 
objections raised at IETF 47 to this later LDAP printer schema
is that the Sun-specific object class (that Ken Jones contributed)
must be removed from an IETF 'standards track' vendor neutral
LDAP printer schema - we are now doing so.

All - the principal author of the current vendor neutral LDAP
printer schema is Pat Fleming (IBM AS/400 team in Rochester, MN)
who maintains the database of LDAP schema and attributes for all
IBM products (with the help of others, of course) and is quite
knowledgeable about LDAP - both in theory and in actual practice.

Pat is working on an updated draft - this draft will *remove* the
use of the 'borrowed' Sun OID arcs (taken from Ken Jones' original
Internet Draft) and leave them TBD (as is common in working drafts
of IETF 'standards track' LDAP schema).

The coauthors of the LDAP printer schema are:

Pat Fleming (editor, IBM - for LDAP usage and class structure)
Harry Lewis (IBM - for IPP WG coherence)
Ken Jones (Sun - for Sun-specific issues)
Ira McDonald (High North - for SLP 'printer' template coherence)

We'll keep you posted.  A new draft should be out very soon.

Cheers,
- Ira McDonald, consulting architect at Xerox and Sharp
  High North Inc

-----Original Message-----
From: Ron Bergman [mailto:[email-masked]]
Sent: Tuesday, April 25, 2000 5:45 PM
To: James Kempf
Cc: [email-masked]; [email-masked];
[email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked]
Subject: Re: IPP> Re: Root OID for IPP Printer Schema

I favor doing what is easiest, and that is keeping the OIDs as they
are.  In the end what difference does it make where the number
was assigned.  This may not be the "pure" solution, but it is just
a number that some application has to interpret.

We tend to get into very long discussions over issues that do
not really have any long term consequences.  I suggest that
whoever (Harry and Ira?) is responsible for editing this document
make a decision and the rest of us just live with it.

    Ron Bergman
    Hitachi Koki Imaging Solutions

James Kempf wrote:

> I think I understand now what some of the confusion around the OIDs taken
> from the SLP template conversion draft might be.
>
> I'm looking at an Internet draft, draft-sun-ldap-print-schema-00.txt,
> done by Ken Jones of Sun which appears to be a Sun-specific LDAP schema
for
> printers, dated this Feburary. This draft has *ABSOLUTELY NOTHING* to do
with
> draft-ietf-svrloc-template-conversion-05.txt, which is an official
> document of the SLP working group, on track for an informational RFC. As
Ludovic
> pointed out, the fact that the OIDs were reserved means that they *WILL
NOT* be
> used for anything else, and that they explicitly belong to the SLP working
> group to use in the RFC. Sun won't be using them or deriving anything from
them
> for any internal purpose.
>
> If people are still uncomfortable with having Sun allocated OIDs in
> the schema, I have a request pending at IANA to get a special OID
> for the draft. I will not follow up on the request unless I hear
> some strong voices to the contrary.
>
> I'd also suggest that someone from the IPP group follow up with Ken
> and see whether he might not be interested in using the standardized
> schema (I'll try on my end as well).
>
>                 jak

---

From: Bruce Greenblatt <[email-masked]>
Date: Wed, 26 Apr 2000 15:55:13 -0700

>James - we already *have* coordinated with Ken Jones (Sun) about

I think that the only confusion here is that the IETF might care if the IPP
LDAP schema uses OIDs that descend from the SUN arc of the OID tree.  If
some people in the IPP working group don't like it, I think that the
(rough) consensus here is that it isn't a big deal.  Use the Sun OIDs, and
don't look back.

Bruce

==============================================
Bruce Greenblatt, Ph. D.
Directory Tools and Application Services, Inc.
http://www.directory-applications.com
Sign up for our LDAP Technical Overview Seminar at:
http://www.acteva.com/go/dtasi